function TypingContentBG() {
}

TypingContentBG.prototype.makePracticeContentBG = function() {
	var contentY = TypingContentBG.POS_Y_CONTENT_BOX_TYPING_PRACTICE;

	var bar = game.add.graphics();
	if(isKoreanTypingApp()) {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 120);
	} else {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 40);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_ALPHABET_BG, 1);
		bar.drawRect(0, contentY + 40, GAME_SCREEN_SIZE.x, 50);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY + 90, GAME_SCREEN_SIZE.x, 30);
	}
}

TypingContentBG.prototype.makeTestContentBG = function() {
	var contentY = TypingContentBG.POS_Y_CONTENT_BOX_TYPING_TEST;

	var bar = game.add.graphics();
	if(isKoreanTypingApp()) {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 70);
	} else {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 20);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_ALPHABET_BG, 1);
		bar.drawRect(0, contentY + 20, GAME_SCREEN_SIZE.x, 40);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY + 55, GAME_SCREEN_SIZE.x, 10);
	}
}

TypingContentBG.prototype.makeExaminationContentBG = function() {
	var contentY = TypingContentBG.POS_Y_CONTENT_BOX_TYPING_EXAMINATION;

	var bar = game.add.graphics();
	if(isKoreanTypingApp()) {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 70);
	} else {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 20);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_ALPHABET_BG, 1);
		bar.drawRect(0, contentY + 20, GAME_SCREEN_SIZE.x, 40);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY + 55, GAME_SCREEN_SIZE.x, 10);
	}
}

TypingContentBG.prototype.makeWhacAMoleContentBG = function() {
	var contentY = TypingContentBG.POS_Y_CONTENT_BOX_TYPING_WHACAMOLE;

	var bar = game.add.graphics();
	if(isKoreanTypingApp()) {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 120);
	} else {
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY, GAME_SCREEN_SIZE.x, 40);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_ALPHABET_BG, 1);
		bar.drawRect(0, contentY + 40, GAME_SCREEN_SIZE.x, 50);
		bar.beginFill(TypingContentBG.COLOR_CONTENT_BG, 1);
		bar.drawRect(0, contentY + 90, GAME_SCREEN_SIZE.x, 30);
	}
}


TypingContentBG.COLOR_CONTENT_BG			= 0x444444;
TypingContentBG.COLOR_CONTENT_ALPHABET_BG	= 0x3d3d3d;

TypingContentBG.POS_Y_CONTENT_BOX_TYPING_PRACTICE		= 140;
TypingContentBG.POS_Y_CONTENT_BOX_TYPING_TEST			= 195;	// 260;
TypingContentBG.POS_Y_CONTENT_BOX_TYPING_EXAMINATION	= 300;
TypingContentBG.POS_Y_CONTENT_BOX_TYPING_WHACAMOLE		= 200;
